/*
	This file contains the entry point (Reset_Handler) of your firmware project.
	The reset handled initializes the RAM and calls system library initializers as well as
	the platform-specific initializer and the main() function.
*/

#include <stddef.h>
extern void *_estack;

void Reset_Handler();
void Default_Handler();

#ifdef DEBUG_DEFAULT_INTERRUPT_HANDLERS
void __attribute__ ((weak)) HardFault_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void HardFault_Handler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) SVC_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void SVC_Handler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) PendSV_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void PendSV_Handler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) SysTick_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void SysTick_Handler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) SCU_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void SCU_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) SCU_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void SCU_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) SCU_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void SCU_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) ERU0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void ERU0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) ERU0_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void ERU0_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) ERU0_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void ERU0_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) ERU0_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void ERU0_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) MATH0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void MATH0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC0_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC0_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC0_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC0_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC0_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC0_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC0_4_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC0_4_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC0_5_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC0_5_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_C0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_C0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_C0_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_C0_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G0_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G0_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G1_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G1_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G1_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G1_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU40_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU40_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU40_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU40_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU40_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU40_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU40_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU40_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU80_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU80_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU80_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU80_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) POSIF0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void POSIF0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) POSIF0_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void POSIF0_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) BCCU0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void BCCU0_0_IRQHandler();
	asm("bkpt 255");
}

#else
void HardFault_Handler()      __attribute__ ((weak, alias ("Default_Handler")));
void SVC_Handler()            __attribute__ ((weak, alias ("Default_Handler")));
void PendSV_Handler()         __attribute__ ((weak, alias ("Default_Handler")));
void SysTick_Handler()        __attribute__ ((weak, alias ("Default_Handler")));
void SCU_0_IRQHandler()       __attribute__ ((weak, alias ("Default_Handler")));
void SCU_1_IRQHandler()       __attribute__ ((weak, alias ("Default_Handler")));
void SCU_2_IRQHandler()       __attribute__ ((weak, alias ("Default_Handler")));
void ERU0_0_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void ERU0_1_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void ERU0_2_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void ERU0_3_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void MATH0_0_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC0_0_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC0_1_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC0_2_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC0_3_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC0_4_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC0_5_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_C0_0_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_C0_1_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G0_0_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G0_1_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G1_0_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G1_1_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void CCU40_0_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU40_1_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU40_2_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU40_3_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU80_0_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU80_1_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void POSIF0_0_IRQHandler()    __attribute__ ((weak, alias ("Default_Handler")));
void POSIF0_1_IRQHandler()    __attribute__ ((weak, alias ("Default_Handler")));
void BCCU0_0_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
#endif

void * g_pfnVectors[0x30] __attribute__ ((section (".isr_vector"), used)) = 
{
	&_estack,
	&Reset_Handler,
	NULL,
	&HardFault_Handler,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	&SVC_Handler,
	NULL,
	NULL,
	&PendSV_Handler,
	&SysTick_Handler,
	&SCU_0_IRQHandler,
	&SCU_1_IRQHandler,
	&SCU_2_IRQHandler,
	&ERU0_0_IRQHandler,
	&ERU0_1_IRQHandler,
	&ERU0_2_IRQHandler,
	&ERU0_3_IRQHandler,
	&MATH0_0_IRQHandler,
	NULL,
	&USIC0_0_IRQHandler,
	&USIC0_1_IRQHandler,
	&USIC0_2_IRQHandler,
	&USIC0_3_IRQHandler,
	&USIC0_4_IRQHandler,
	&USIC0_5_IRQHandler,
	&VADC0_C0_0_IRQHandler,
	&VADC0_C0_1_IRQHandler,
	&VADC0_G0_0_IRQHandler,
	&VADC0_G0_1_IRQHandler,
	&VADC0_G1_0_IRQHandler,
	&VADC0_G1_1_IRQHandler,
	&CCU40_0_IRQHandler,
	&CCU40_1_IRQHandler,
	&CCU40_2_IRQHandler,
	&CCU40_3_IRQHandler,
	&CCU80_0_IRQHandler,
	&CCU80_1_IRQHandler,
	&POSIF0_0_IRQHandler,
	&POSIF0_1_IRQHandler,
	NULL,
	NULL,
	&BCCU0_0_IRQHandler,
};

void SystemInit();
void __libc_init_array();
int main();

extern void *_sidata, *_sdata, *_edata;
extern void *_sbss, *_ebss;

void __attribute__((naked, noreturn)) Reset_Handler()
{
	//Normally the CPU should will setup the based on the value from the first entry in the vector table.
	//If you encounter problems with accessing stack variables during initialization, ensure the line below is enabled.
	#ifdef sram_layout
	asm ("ldr sp, =_estack");
	#endif

	void **pSource, **pDest;
	for (pSource = &_sidata, pDest = &_sdata; pDest != &_edata; pSource++, pDest++)
		*pDest = *pSource;

	for (pDest = &_sbss; pDest != &_ebss; pDest++)
		*pDest = 0;

	SystemInit();
	__libc_init_array();
	(void)main();
	for (;;) ;
}

void __attribute__((naked, noreturn)) Default_Handler()
{
	//If you get stuck here, your code is missing a handler for some interrupt.
	//Define a 'DEBUG_DEFAULT_INTERRUPT_HANDLERS' macro via VisualGDB Project Properties and rebuild your project.
	//This will pinpoint a specific missing vector.
	for (;;) ;
}
