/*
	This file contains the entry point (Reset_Handler) of your firmware project.
	The reset handled initializes the RAM and calls system library initializers as well as
	the platform-specific initializer and the main() function.
*/

#include <stddef.h>
extern void *_estack;

void Reset_Handler();
void Default_Handler();

#ifdef DEBUG_DEFAULT_INTERRUPT_HANDLERS
void __attribute__ ((weak)) NMI_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void NMI_Handler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) HardFault_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void HardFault_Handler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) MemManage_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void MemManage_Handler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) BusFault_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void BusFault_Handler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) UsageFault_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void UsageFault_Handler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) SVC_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void SVC_Handler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) DebugMon_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void DebugMon_Handler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) PendSV_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void PendSV_Handler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) SysTick_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void SysTick_Handler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) SCU_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void SCU_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) ERU0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void ERU0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) ERU0_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void ERU0_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) ERU0_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void ERU0_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) ERU0_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void ERU0_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) ERU1_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void ERU1_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) ERU1_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void ERU1_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) ERU1_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void ERU1_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) ERU1_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void ERU1_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) PMU0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void PMU0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_C0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_C0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_C0_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_C0_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_C0_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_C0_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_C0_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_C0_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G0_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G0_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G0_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G0_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G0_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G0_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G1_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G1_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G1_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G1_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G1_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G1_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G1_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G1_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G2_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G2_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G2_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G2_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G2_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G2_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G2_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G2_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G3_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G3_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G3_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G3_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G3_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G3_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) VADC0_G3_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void VADC0_G3_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) DSD0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void DSD0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) DSD0_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void DSD0_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) DSD0_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void DSD0_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) DSD0_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void DSD0_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) DSD0_4_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void DSD0_4_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) DSD0_5_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void DSD0_5_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) DSD0_6_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void DSD0_6_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) DSD0_7_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void DSD0_7_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) DAC0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void DAC0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) DAC0_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void DAC0_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU40_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU40_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU40_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU40_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU40_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU40_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU40_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU40_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU41_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU41_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU41_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU41_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU41_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU41_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU41_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU41_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU42_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU42_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU42_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU42_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU42_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU42_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU42_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU42_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU43_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU43_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU43_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU43_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU43_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU43_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU43_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU43_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU80_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU80_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU80_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU80_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU80_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU80_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU80_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU80_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU81_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU81_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU81_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU81_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU81_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU81_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CCU81_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CCU81_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) POSIF0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void POSIF0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) POSIF0_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void POSIF0_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) POSIF1_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void POSIF1_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) POSIF1_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void POSIF1_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CAN0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CAN0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CAN0_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CAN0_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CAN0_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CAN0_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CAN0_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CAN0_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CAN0_4_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CAN0_4_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CAN0_5_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CAN0_5_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CAN0_6_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CAN0_6_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) CAN0_7_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CAN0_7_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC0_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC0_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC0_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC0_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC0_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC0_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC0_4_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC0_4_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC0_5_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC0_5_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC1_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC1_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC1_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC1_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC1_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC1_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC1_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC1_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC1_4_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC1_4_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC1_5_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC1_5_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC2_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC2_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC2_1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC2_1_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC2_2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC2_2_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC2_3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC2_3_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC2_4_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC2_4_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USIC2_5_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USIC2_5_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) LEDTS0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void LEDTS0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) FCE0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void FCE0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) GPDMA0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void GPDMA0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) SDMMC0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void SDMMC0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) USB0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void USB0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) ETH0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void ETH0_0_IRQHandler();
	asm("bkpt 255");
}

void __attribute__ ((weak)) GPDMA1_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void GPDMA1_0_IRQHandler();
	asm("bkpt 255");
}

#else
void NMI_Handler()            __attribute__ ((weak, alias ("Default_Handler")));
void HardFault_Handler()      __attribute__ ((weak, alias ("Default_Handler")));
void MemManage_Handler()      __attribute__ ((weak, alias ("Default_Handler")));
void BusFault_Handler()       __attribute__ ((weak, alias ("Default_Handler")));
void UsageFault_Handler()     __attribute__ ((weak, alias ("Default_Handler")));
void SVC_Handler()            __attribute__ ((weak, alias ("Default_Handler")));
void DebugMon_Handler()       __attribute__ ((weak, alias ("Default_Handler")));
void PendSV_Handler()         __attribute__ ((weak, alias ("Default_Handler")));
void SysTick_Handler()        __attribute__ ((weak, alias ("Default_Handler")));
void SCU_0_IRQHandler()       __attribute__ ((weak, alias ("Default_Handler")));
void ERU0_0_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void ERU0_1_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void ERU0_2_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void ERU0_3_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void ERU1_0_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void ERU1_1_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void ERU1_2_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void ERU1_3_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void PMU0_0_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_C0_0_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_C0_1_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_C0_2_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_C0_3_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G0_0_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G0_1_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G0_2_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G0_3_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G1_0_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G1_1_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G1_2_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G1_3_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G2_0_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G2_1_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G2_2_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G2_3_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G3_0_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G3_1_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G3_2_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void VADC0_G3_3_IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void DSD0_0_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void DSD0_1_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void DSD0_2_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void DSD0_3_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void DSD0_4_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void DSD0_5_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void DSD0_6_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void DSD0_7_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void DAC0_0_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void DAC0_1_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void CCU40_0_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU40_1_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU40_2_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU40_3_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU41_0_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU41_1_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU41_2_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU41_3_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU42_0_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU42_1_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU42_2_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU42_3_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU43_0_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU43_1_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU43_2_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU43_3_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU80_0_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU80_1_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU80_2_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU80_3_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU81_0_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU81_1_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU81_2_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void CCU81_3_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void POSIF0_0_IRQHandler()    __attribute__ ((weak, alias ("Default_Handler")));
void POSIF0_1_IRQHandler()    __attribute__ ((weak, alias ("Default_Handler")));
void POSIF1_0_IRQHandler()    __attribute__ ((weak, alias ("Default_Handler")));
void POSIF1_1_IRQHandler()    __attribute__ ((weak, alias ("Default_Handler")));
void CAN0_0_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void CAN0_1_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void CAN0_2_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void CAN0_3_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void CAN0_4_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void CAN0_5_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void CAN0_6_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void CAN0_7_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void USIC0_0_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC0_1_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC0_2_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC0_3_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC0_4_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC0_5_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC1_0_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC1_1_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC1_2_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC1_3_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC1_4_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC1_5_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC2_0_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC2_1_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC2_2_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC2_3_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC2_4_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void USIC2_5_IRQHandler()     __attribute__ ((weak, alias ("Default_Handler")));
void LEDTS0_0_IRQHandler()    __attribute__ ((weak, alias ("Default_Handler")));
void FCE0_0_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void GPDMA0_0_IRQHandler()    __attribute__ ((weak, alias ("Default_Handler")));
void SDMMC0_0_IRQHandler()    __attribute__ ((weak, alias ("Default_Handler")));
void USB0_0_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void ETH0_0_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void GPDMA1_0_IRQHandler()    __attribute__ ((weak, alias ("Default_Handler")));
#endif

void * g_pfnVectors[0x80] __attribute__ ((section (".isr_vector"), used)) = 
{
	&_estack,
	&Reset_Handler,
	&NMI_Handler,
	&HardFault_Handler,
	&MemManage_Handler,
	&BusFault_Handler,
	&UsageFault_Handler,
	NULL,
	NULL,
	NULL,
	NULL,
	&SVC_Handler,
	&DebugMon_Handler,
	NULL,
	&PendSV_Handler,
	&SysTick_Handler,
	&SCU_0_IRQHandler,
	&ERU0_0_IRQHandler,
	&ERU0_1_IRQHandler,
	&ERU0_2_IRQHandler,
	&ERU0_3_IRQHandler,
	&ERU1_0_IRQHandler,
	&ERU1_1_IRQHandler,
	&ERU1_2_IRQHandler,
	&ERU1_3_IRQHandler,
	NULL,
	NULL,
	NULL,
	&PMU0_0_IRQHandler,
	NULL,
	&VADC0_C0_0_IRQHandler,
	&VADC0_C0_1_IRQHandler,
	&VADC0_C0_2_IRQHandler,
	&VADC0_C0_3_IRQHandler,
	&VADC0_G0_0_IRQHandler,
	&VADC0_G0_1_IRQHandler,
	&VADC0_G0_2_IRQHandler,
	&VADC0_G0_3_IRQHandler,
	&VADC0_G1_0_IRQHandler,
	&VADC0_G1_1_IRQHandler,
	&VADC0_G1_2_IRQHandler,
	&VADC0_G1_3_IRQHandler,
	&VADC0_G2_0_IRQHandler,
	&VADC0_G2_1_IRQHandler,
	&VADC0_G2_2_IRQHandler,
	&VADC0_G2_3_IRQHandler,
	&VADC0_G3_0_IRQHandler,
	&VADC0_G3_1_IRQHandler,
	&VADC0_G3_2_IRQHandler,
	&VADC0_G3_3_IRQHandler,
	&DSD0_0_IRQHandler,
	&DSD0_1_IRQHandler,
	&DSD0_2_IRQHandler,
	&DSD0_3_IRQHandler,
	&DSD0_4_IRQHandler,
	&DSD0_5_IRQHandler,
	&DSD0_6_IRQHandler,
	&DSD0_7_IRQHandler,
	&DAC0_0_IRQHandler,
	&DAC0_1_IRQHandler,
	&CCU40_0_IRQHandler,
	&CCU40_1_IRQHandler,
	&CCU40_2_IRQHandler,
	&CCU40_3_IRQHandler,
	&CCU41_0_IRQHandler,
	&CCU41_1_IRQHandler,
	&CCU41_2_IRQHandler,
	&CCU41_3_IRQHandler,
	&CCU42_0_IRQHandler,
	&CCU42_1_IRQHandler,
	&CCU42_2_IRQHandler,
	&CCU42_3_IRQHandler,
	&CCU43_0_IRQHandler,
	&CCU43_1_IRQHandler,
	&CCU43_2_IRQHandler,
	&CCU43_3_IRQHandler,
	&CCU80_0_IRQHandler,
	&CCU80_1_IRQHandler,
	&CCU80_2_IRQHandler,
	&CCU80_3_IRQHandler,
	&CCU81_0_IRQHandler,
	&CCU81_1_IRQHandler,
	&CCU81_2_IRQHandler,
	&CCU81_3_IRQHandler,
	&POSIF0_0_IRQHandler,
	&POSIF0_1_IRQHandler,
	&POSIF1_0_IRQHandler,
	&POSIF1_1_IRQHandler,
	NULL,
	NULL,
	NULL,
	NULL,
	&CAN0_0_IRQHandler,
	&CAN0_1_IRQHandler,
	&CAN0_2_IRQHandler,
	&CAN0_3_IRQHandler,
	&CAN0_4_IRQHandler,
	&CAN0_5_IRQHandler,
	&CAN0_6_IRQHandler,
	&CAN0_7_IRQHandler,
	&USIC0_0_IRQHandler,
	&USIC0_1_IRQHandler,
	&USIC0_2_IRQHandler,
	&USIC0_3_IRQHandler,
	&USIC0_4_IRQHandler,
	&USIC0_5_IRQHandler,
	&USIC1_0_IRQHandler,
	&USIC1_1_IRQHandler,
	&USIC1_2_IRQHandler,
	&USIC1_3_IRQHandler,
	&USIC1_4_IRQHandler,
	&USIC1_5_IRQHandler,
	&USIC2_0_IRQHandler,
	&USIC2_1_IRQHandler,
	&USIC2_2_IRQHandler,
	&USIC2_3_IRQHandler,
	&USIC2_4_IRQHandler,
	&USIC2_5_IRQHandler,
	&LEDTS0_0_IRQHandler,
	NULL,
	&FCE0_0_IRQHandler,
	&GPDMA0_0_IRQHandler,
	&SDMMC0_0_IRQHandler,
	&USB0_0_IRQHandler,
	&ETH0_0_IRQHandler,
	NULL,
	&GPDMA1_0_IRQHandler,
	NULL,
};

void SystemInit();
void __libc_init_array();
int main();

extern void *_sidata, *_sdata, *_edata;
extern void *_sbss, *_ebss;

void __attribute__((naked, noreturn)) Reset_Handler()
{
	//Normally the CPU should will setup the based on the value from the first entry in the vector table.
	//If you encounter problems with accessing stack variables during initialization, ensure the line below is enabled.
	#ifdef sram_layout
	asm ("ldr sp, =_estack");
	#endif

	void **pSource, **pDest;
	for (pSource = &_sidata, pDest = &_sdata; pDest != &_edata; pSource++, pDest++)
		*pDest = *pSource;

	for (pDest = &_sbss; pDest != &_ebss; pDest++)
		*pDest = 0;

	SystemInit();
	__libc_init_array();
	(void)main();
	for (;;) ;
}

void __attribute__((naked, noreturn)) Default_Handler()
{
	//If you get stuck here, your code is missing a handler for some interrupt.
	//Define a 'DEBUG_DEFAULT_INTERRUPT_HANDLERS' macro via VisualGDB Project Properties and rebuild your project.
	//This will pinpoint a specific missing vector.
	for (;;) ;
}
